class ContainerForm
Same name and namespace in other branches
- 9 core/modules/forum/src/Form/ContainerForm.php \Drupal\forum\Form\ContainerForm
- 8.9.x core/modules/forum/src/Form/ContainerForm.php \Drupal\forum\Form\ContainerForm
Base form for container term edit forms.
@internal
Hierarchy
- class \Drupal\Core\Form\FormBase implements \Drupal\Core\Form\FormInterface, \Drupal\Core\DependencyInjection\ContainerInjectionInterface uses \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Logger\LoggerChannelTrait, \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait, \Drupal\Core\StringTranslation\StringTranslationTrait
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
- class \Drupal\Core\Entity\ContentEntityForm implements \Drupal\Core\Entity\ContentEntityFormInterface extends \Drupal\Core\Entity\EntityForm
- class \Drupal\taxonomy\TermForm extends \Drupal\Core\Entity\ContentEntityForm
- class \Drupal\forum\Form\ForumForm extends \Drupal\taxonomy\TermForm
- class \Drupal\forum\Form\ContainerForm extends \Drupal\forum\Form\ForumForm
- class \Drupal\forum\Form\ForumForm extends \Drupal\taxonomy\TermForm
- class \Drupal\taxonomy\TermForm extends \Drupal\Core\Entity\ContentEntityForm
- class \Drupal\Core\Entity\ContentEntityForm implements \Drupal\Core\Entity\ContentEntityFormInterface extends \Drupal\Core\Entity\EntityForm
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
Expanded class hierarchy of ContainerForm
File
-
core/
modules/ forum/ src/ Form/ ContainerForm.php, line 12
Namespace
Drupal\forum\FormView source
class ContainerForm extends ForumForm {
/**
* Reusable URL stub to use in watchdog messages.
*
* @var string
*/
protected $urlStub = 'container';
/**
* {@inheritdoc}
*/
public function form(array $form, FormStateInterface $form_state) {
// Build the bulk of the form from the parent forum form.
$form = parent::form($form, $form_state);
// Set the title and description of the name field.
$form['name']['#title'] = $this->t('Container name');
$form['name']['#description'] = $this->t('Short but meaningful name for this collection of related forums.');
// Alternate description for the container parent.
$form['parent'][0]['#description'] = $this->t('Containers are usually placed at the top (root) level, but may also be placed inside another container or forum.');
$this->forumFormType = $this->t('forum container');
return $form;
}
/**
* {@inheritdoc}
*/
public function buildEntity(array $form, FormStateInterface $form_state) {
$entity = parent::buildEntity($form, $form_state);
$entity->forum_container = TRUE;
return $entity;
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|
| ContainerForm::$urlStub | protected | property | Reusable URL stub to use in watchdog messages. | Overrides ForumForm::$urlStub | |
| ContainerForm::buildEntity | public | function | Builds an updated entity object based upon the submitted form values. | Overrides ForumForm::buildEntity | |
| ContainerForm::form | public | function | Gets the actual form array to be built. | Overrides ForumForm::form | |
| ContentEntityForm::$entity | protected | property | The entity being used by this form. | Overrides EntityForm::$entity | 9 |
| ContentEntityForm::$entityRepository | protected | property | The entity repository service. | ||
| ContentEntityForm::$entityTypeBundleInfo | protected | property | The entity type bundle info service. | ||
| ContentEntityForm::$time | protected | property | The time service. | ||
| ContentEntityForm::addRevisionableFormFields | protected | function | Add revision form fields if the entity enabled the UI. | ||
| ContentEntityForm::copyFormValuesToEntity | protected | function | Overrides EntityForm::copyFormValuesToEntity | ||
| ContentEntityForm::create | public static | function | Overrides FormBase::create | 9 | |
| ContentEntityForm::getBundleEntity | protected | function | Returns the bundle entity of the entity, or NULL if there is none. | ||
| ContentEntityForm::getFormDisplay | public | function | Overrides ContentEntityFormInterface::getFormDisplay | ||
| ContentEntityForm::getFormLangcode | public | function | Overrides ContentEntityFormInterface::getFormLangcode | ||
| ContentEntityForm::getNewRevisionDefault | protected | function | Should new revisions created on default. | ||
| ContentEntityForm::init | protected | function | Initializes the form state and the entity before the first form build. | Overrides EntityForm::init | 1 |
| ContentEntityForm::initFormLangcodes | protected | function | Initializes form language code values. | ||
| ContentEntityForm::isDefaultFormLangcode | public | function | Overrides ContentEntityFormInterface::isDefaultFormLangcode | ||
| ContentEntityForm::prepareEntity | protected | function | Overrides EntityForm::prepareEntity | 1 | |
| ContentEntityForm::setFormDisplay | public | function | Overrides ContentEntityFormInterface::setFormDisplay | ||
| ContentEntityForm::showRevisionUi | protected | function | Checks whether the revision form fields should be added to the form. | ||
| ContentEntityForm::submitForm | public | function | Overrides EntityForm::submitForm | 3 | |
| ContentEntityForm::updateChangedTime | public | function | Updates the changed time of the entity. | ||
| ContentEntityForm::updateFormLangcode | public | function | Updates the form language to reflect any change to the entity language. | ||
| ContentEntityForm::__construct | public | function | Constructs a ContentEntityForm object. | 8 | |
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | ||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | ||
| DependencySerializationTrait::__sleep | public | function | 2 | ||
| DependencySerializationTrait::__wakeup | public | function | #[\ReturnTypeWillChange] | 2 | |
| EntityForm::$entityTypeManager | protected | property | The entity type manager. | 3 | |
| EntityForm::$moduleHandler | protected | property | The module handler service. | 2 | |
| EntityForm::$operation | protected | property | The name of the current operation. | ||
| EntityForm::actionsElement | protected | function | Returns the action form element for the current entity form. | ||
| EntityForm::afterBuild | public | function | Form element #after_build callback: Updates the entity with submitted data. | 1 | |
| EntityForm::buildForm | public | function | Overrides FormInterface::buildForm | 13 | |
| EntityForm::getBaseFormId | public | function | Overrides BaseFormIdInterface::getBaseFormId | 4 | |
| EntityForm::getEntity | public | function | Overrides EntityFormInterface::getEntity | ||
| EntityForm::getEntityFromRouteMatch | public | function | Overrides EntityFormInterface::getEntityFromRouteMatch | 3 | |
| EntityForm::getFormId | public | function | Overrides FormInterface::getFormId | 13 | |
| EntityForm::getOperation | public | function | Overrides EntityFormInterface::getOperation | ||
| EntityForm::prepareInvokeAll | protected | function | Invokes the specified prepare hook variant. | ||
| EntityForm::processForm | public | function | Process callback: assigns weights and hides extra fields. | ||
| EntityForm::setEntity | public | function | Overrides EntityFormInterface::setEntity | ||
| EntityForm::setEntityTypeManager | public | function | Overrides EntityFormInterface::setEntityTypeManager | ||
| EntityForm::setModuleHandler | public | function | Overrides EntityFormInterface::setModuleHandler | ||
| EntityForm::setOperation | public | function | Overrides EntityFormInterface::setOperation | ||
| FormBase::$configFactory | protected | property | The config factory. | 3 | |
| FormBase::$requestStack | protected | property | The request stack. | 1 | |
| FormBase::$routeMatch | protected | property | The route match. | ||
| FormBase::config | protected | function | Retrieves a configuration object. | ||
| FormBase::configFactory | protected | function | Gets the config factory for this form. | 3 | |
| FormBase::container | private | function | Returns the service container. | ||
| FormBase::currentUser | protected | function | Gets the current user. | 2 | |
| FormBase::getRequest | protected | function | Gets the request object. | ||
| FormBase::getRouteMatch | protected | function | Gets the route match. | ||
| FormBase::logger | protected | function | Gets the logger for a specific channel. | ||
| FormBase::redirect | protected | function | Returns a redirect response object for the specified route. | ||
| FormBase::resetConfigFactory | public | function | Resets the configuration factory. | ||
| FormBase::setConfigFactory | public | function | Sets the config factory for this form. | ||
| FormBase::setRequestStack | public | function | Sets the request stack object to use. | ||
| ForumForm::$forumFormType | protected | property | Reusable type field to use in status messages. | ||
| ForumForm::actions | protected | function | Returns an array of supported actions for the current entity form. | Overrides TermForm::actions | |
| ForumForm::forumParentSelect | protected | function | Returns a select box for available parent terms. | ||
| ForumForm::save | public | function | Form submission handler for the 'save' action. | Overrides TermForm::save | |
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | ||
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | ||
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | ||
| MessengerTrait::$messenger | protected | property | The messenger. | 25 | |
| MessengerTrait::messenger | public | function | Gets the messenger. | 25 | |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | ||
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 2 | |
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | ||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | ||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | ||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | ||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | ||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | ||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | ||
| TermForm::flagViolations | protected | function | Flags violations for the current form. | Overrides ContentEntityForm::flagViolations | |
| TermForm::getEditedFieldNames | protected | function | Gets the names of all fields edited in the form. | Overrides ContentEntityForm::getEditedFieldNames | |
| TermForm::getParentIds | protected | function | Returns term parent IDs, including the root. | ||
| TermForm::overview | public | function | Form submission handler for the 'overview' action. | ||
| TermForm::validateForm | public | function | Button-level validation handlers are highly discouraged for entity forms, as they will prevent entity validation from running. If the entity is going to be saved during the form submission, this method should be manually invoked from the button-level… |
Overrides ContentEntityForm::validateForm |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.